package route

import (
	"github.com/gin-gonic/gin"
	"wireguard-dashboard/http/api"
	"wireguard-dashboard/middleware"
)

func ClientApi(r *gin.RouterGroup) {
	apiGroup := r.Group("client", middleware.Authorization())
	{
		apiGroup.GET("list", api.Client().List)                              // 客户端列表
		apiGroup.POST("save", middleware.Permission(), api.Client().Save)    // 新增/编辑客户端
		apiGroup.DELETE(":id", middleware.Permission(), api.Client().Delete) // 删除客户端
		apiGroup.POST("download/:id", api.Client().Download)                 // 下载客户端配置文件
		apiGroup.POST("generate-qrcode/:id", api.Client().GenerateQrCode)    // 生成客户端二维码
		apiGroup.GET("status", api.Client().Status)                          // 获取客户端链接状态监听列表
		apiGroup.POST("offline/:id", api.Client().Offline)                   // 强制下线指定客户端
	}
}
